﻿@{
    ViewBag.Title = "Home Page";
}
<link href="https://code.jquery.com/ui/1.10.4/themes/ui-lightness/jquery-ui.css"
    rel="stylesheet">
<link href="../../Content/bootstrap.css" rel="stylesheet" type="text/css" />
<link href="../../Content/bootstrap-theme.css" rel="stylesheet" type="text/css" />
<style>
    .ui-widget-header
    {
        background: #cedc98;
        border: 1px solid #DDDDDD;
        color: #333333;
        font-weight: bold;
    }
    .progress-label
    {
        position: absolute;
        left: 50%;
        top: 13px;
        font-weight: bold;
        text-shadow: 1px 1px 0 #fff;
    }
    .red
    {
        color: red;
    }
</style>
<div class="container">
    <h1>
        File Upload Demo</h1>
    <div id="FileBrowse">
        <div class="row">
            <div class="col-sm-4">
                <input type="file" id="Files" />
            </div>
            <div class="col-sm-2">
                <input type="button" id="UploadBtn" class="btn btn-danger" value="Upload" />
            </div>
        </div>
    </div>
    <div class="row">
        <div class="col-sm-4">
            <div id="progressbar-5">
                <div class="progress-label">
                </div>
            </div>
        </div>
    </div>
    <br />
    <div class="row">
        <div class="col-sm-6">
            <table class="table" id="ListofFiles">
                <tr>
                    <th>
                        Files
                    </th>
                    <th>
                        Action
                    </th>
                </tr>
            </table>
        </div>
    </div>
    <br />
    <br />
    <br />
    <br />
</div>
@section scripts{
    <script src="https://code.jquery.com/jquery-1.10.2.js"></script>
    <script src="https://code.jquery.com/ui/1.10.4/jquery-ui.js"></script>
    <script>
        $('#UploadBtn').click(function () {

            var fileUpload = $("#Files").get(0);
            var files = fileUpload.files;
            // Create FormData object  
            var fileData = new FormData();
            // Looping over all files and add it to FormData object  
            for (var i = 0; i < files.length; i++) {
                fileData.append(files[i].name, files[i]);
            }
            $.ajax({
                url: '/Home/UploadFiles',
                type: "POST",
                contentType: false, // Not to set any content header  
                processData: false, // Not to process data  
                data: fileData,
                async: false,
                success: function (result) {
                    if (result != "") {
                        $('#FileBrowse').find("*").prop("disabled", true);
                        LoadProgressBar(result);
                    }
                },
                error: function (err) {
                    alert(err.statusText);
                }
            });

        });

        function LoadProgressBar(result) {
            var progressbar = $("#progressbar-5");
            var progressLabel = $(".progress-label");
            progressbar.show();
            $("#progressbar-5").progressbar({
                //value: false,
                change: function () {
                    progressLabel.text(
                     progressbar.progressbar("value") + "%");
                },
                complete: function () {
                    progressLabel.text("Loading Completed!");
                    progressbar.progressbar("value", 0);
                    progressLabel.text("");
                    progressbar.hide();
                    var markup = "<tr><td>" + result + "</td><td><a href='#' onclick='DeleteFile(\"" + result + "\")'><span class='glyphicon glyphicon-remove red'></span></a></td></tr>";
                    $("#ListofFiles tbody").append(markup);
                    $('#Files').val('');
                    $('#FileBrowse').find("*").prop("disabled", false);
                }
            });
            function progress() {
                var val = progressbar.progressbar("value") || 0;
                progressbar.progressbar("value", val + 1);
                if (val < 99) {
                    setTimeout(progress, 25);
                }
            }
            setTimeout(progress, 100);
        }
   
    </script>
}
